commit:     0c92947b8abdb3b68214972103fa34aa3f327cf1
Author:     Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 30 15:49:02 2023 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Fri Jun 30 15:51:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c92947b

app-crypt/eid-mw: version bump 5.1.11

- remove redundant inherit
- Fix a (second) libdir item.

Submitted-by: Vincent Hardy <vincent.hardy.be <AT> gmail.com>
Signed-off-by: Amy Liffey <amynka <AT> gentoo.org>

 app-crypt/eid-mw/Manifest                          |  1 +
 .../{eid-mw-9999.ebuild => eid-mw-5.1.11.ebuild}   | 22 +++++++++++++++++-----
 app-crypt/eid-mw/eid-mw-9999.ebuild                |  9 +++++----
 3 files changed, 23 insertions(+), 9 deletions(-)

diff --git a/app-crypt/eid-mw/Manifest b/app-crypt/eid-mw/Manifest
index 133b9dc38c3e..da96175213ae 100644
--- a/app-crypt/eid-mw/Manifest
+++ b/app-crypt/eid-mw/Manifest
@@ -1 +1,2 @@
 DIST eid-mw-5.1.10.tar.gz 15368173 BLAKE2B 
4776bfd3ba66347c53424e1f36a6f8fa7042a7be329008a841bd37d6b1e715494e13bcc977e595575b655d2820451962e1cf2b7f0a12c1a54c9ebcbf61b27d6a
 SHA512 
e8e241fe2bef3331032bb18e88f25ba355258bfd7f7cb3e295aecd5765683bb083dce0a97bfd55c62e44f297798208681d54a91b5cd136d2826be505e4759e09
+DIST eid-mw-5.1.11.tar.gz 15368318 BLAKE2B 
34a49084bf5e1fb62b7975b14b8300c3400f0c1aeec8a9a01122097b0a3d8245974c7a9c5d9c6d91a419c796a56954b945ec838699fe9d7623f102523c4e0f67
 SHA512 
7f286a6ff14e62652ec36b68121639bcaa55cf50364da5d11aed4c9f13a2d7813d2b69c13a3335ece6ed0660ca67a8dd1724d3498d8bae03f144d268cefb731d

diff --git a/app-crypt/eid-mw/eid-mw-9999.ebuild 
b/app-crypt/eid-mw/eid-mw-5.1.11.ebuild
similarity index 80%
copy from app-crypt/eid-mw/eid-mw-9999.ebuild
copy to app-crypt/eid-mw/eid-mw-5.1.11.ebuild
index cce8d5f2d95f..137251cc5019 100644
--- a/app-crypt/eid-mw/eid-mw-9999.ebuild
+++ b/app-crypt/eid-mw/eid-mw-5.1.11.ebuild
@@ -1,16 +1,17 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit autotools desktop gnome2-utils xdg-utils git-r3
+inherit autotools desktop gnome2-utils
 
 DESCRIPTION="Electronic Identity Card middleware supplied by the Belgian 
Federal Government"
 HOMEPAGE="https://eid.belgium.be";
-EGIT_REPO_URI="https://github.com/Fedict/${PN}.git";
+SRC_URI="https://codeload.github.com/fedict/${PN}/tar.gz/v${PV} -> ${P}.tar.gz"
 
 LICENSE="LGPL-3"
 SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
 IUSE="+dialogs +gtk p11-kit"
 
 RDEPEND=">=sys-apps/pcsc-lite-1.2.9
@@ -32,6 +33,16 @@ REQUIRED_USE="dialogs? ( gtk )"
 src_prepare() {
        default
 
+       # Buggy internal versioning when autoreconf a tarball release.
+       # Weird numbering is required otherwise we get a seg fault in
+       # about-eid-mw program.
+       echo "${PV}-v${PV}" > .version
+
+       # See bug #862306
+       sed -i \
+               -e 's:PACKAGE_VERSION:MAINVERSION:' \
+               cardcomm/pkcs11/src/libbeidpkcs11.pc.in || die
+
        # xpi module : we don't want it anymore
        sed -i -e '/SUBDIRS/ s:plugins_tools/xpi ::' Makefile.am || die
        sed -i -e '/plugins_tools\/xpi/ d' configure.ac || die
@@ -43,9 +54,10 @@ src_prepare() {
                -e "s:get_lsb_info('c'):strdup(_(\"n/a\")):" \
                plugins_tools/aboutmw/gtk/about-main.c || die
 
-       # Fix libdir for pkcs11_manifestdir
+       # Fix libdir for manifestdir
        sed -i \
                -e "/pkcs11_manifestdir/ s:prefix)/lib:libdir):" \
+               -e "/managed_storage_manifestdir/ s:prefix)/lib:libdir):" \
                cardcomm/pkcs11/src/Makefile.am || die
 
        # See bug #732994

diff --git a/app-crypt/eid-mw/eid-mw-9999.ebuild 
b/app-crypt/eid-mw/eid-mw-9999.ebuild
index cce8d5f2d95f..b94eb12ffc53 100644
--- a/app-crypt/eid-mw/eid-mw-9999.ebuild
+++ b/app-crypt/eid-mw/eid-mw-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit autotools desktop gnome2-utils xdg-utils git-r3
+inherit autotools desktop gnome2-utils git-r3
 
 DESCRIPTION="Electronic Identity Card middleware supplied by the Belgian 
Federal Government"
 HOMEPAGE="https://eid.belgium.be";
@@ -43,9 +43,10 @@ src_prepare() {
                -e "s:get_lsb_info('c'):strdup(_(\"n/a\")):" \
                plugins_tools/aboutmw/gtk/about-main.c || die
 
-       # Fix libdir for pkcs11_manifestdir
+       # Fix libdir for manifestdir
        sed -i \
                -e "/pkcs11_manifestdir/ s:prefix)/lib:libdir):" \
+               -e "/managed_storage_manifestdir/ s:prefix)/lib:libdir):" \
                cardcomm/pkcs11/src/Makefile.am || die
 
        # See bug #732994

Reply via email to